local general = {background = "#242837", foreground = "#8099ee", color0 = "#000000", color1 = "#d36265", color2 = "#aece91", color3 = "#e7e18c", color4 = "#7a7ab0", color5 = "#963c59", color6 = "#418179", color7 = "#bebebe", color8 = "#666666", color9 = "#ef8171", color10 = "#e5f779", color11 = "#fff796", color12 = "#4186be", color13 = "#ef9ebe", color14 = "#71bebe", color15 = "#ffffff", color16 = "#232635"}
local colours = {bg = general.background, fg = general.foreground, red = general.color5, green = general.color6, blue = general.color12, yellow = general.color3, light = general.color15, dark = general.color16}
local function rgba(red, green, blue, a)
  return ("rgba(" .. red .. "," .. green .. "," .. blue .. "," .. a .. ")")
end
local bg = {normal = "#242837", focus = "#82aaff", urgent = general.color5, minimize = "#535d6c", systray = "#242837"}
local fg = {normal = general.foreground, focus = general.color15, urgent = general.color11, minimize = general.color15, systray = general.color14}
local theme = {font = "12px monospace", fg = colours.fg, bg = colours.bg, success_fg = colours.green, loaded_fg = colours.blue, error_fg = colours.light, error_bg = colours.dark, warning_bg = colours.light, warning_fg = colours.dark, notif_fg = colours.fg, notif_bg = colours.bg, menu_fg = colours.fg, menu_bg = colours.bg, menu_selected_fg = colours.red, menu_selected_bg = colours.green, menu_title_bg = colours.bg, menu_title_fg = colours.fg, menu_primary_title_fg = colours.red, menu_secondary_title_fg = general.colour8, menu_primary_title_bg = colours.bg, menu_secondary_title_bg = colours.bg, menu_disabled_fg = colours.red, menu_disabled_bg = colours.bg, menu_enabled_fg = colours.fg, menu_enabled_bg = colours.bg, menu_active_fg = colours.green, menu_active_bg = colours.light, proxy_active_menu_fg = colours.fg, proxy_active_menu_bg = colours.bg, proxy_inactive_menu_fg = "#888", proxy_inactive_menu_bg = colours.light, sbar_fg = colours.light, sbar_bg = colours.dark, dbar_fg = colours.light, dbar_bg = colours.dark, dbar_error_fg = colours.red, ibar_fg = colours.fg, ibar_bg = colours.bg, tab_fg = "#888", tab_bg = "#222", tab_hover_bg = "#292929", tab_ntheme = "#ddd", selected_fg = colours.light, selected_bg = colours.dark, selected_ntheme = "#ddd", loading_fg = colours.fg, loading_bg = colours.bg, selected_private_tab_bg = "#3d295b", private_tab_bg = "#22254a", trust_fg = "#0F0", notrust_fg = colours.red, hint_font = "10px monospace, courier, sans-serif", hint_fg = colours.light, hint_bg = colours.bg, hint_border = "1px dashed #000", hint_opacity = "0.3", hint_overlay_bg = rgba(255, 255, 153, 0.3), hint_overlay_border = "1px dotted #000", hint_overlay_selected_bg = rgba(0, 255, 0, 0.3), hint_overlay_selected_border = "1px dotted #000", ok = {fg = colours.dark, bg = colours.light}, warn = {fg = colours.red, bg = colours.light}, error = {fg = colours.light, bg = colours.red}}
return theme
